OLT DBA
5 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| addDBAProfile | POST | Create new DBA profile |
| deleteDBAProfile | POST | Delete an existing DBA profile |
| editDBAProfile | POST | Modify an existing DBA profile |
| getDBAProfileList | GET | Get DBA profile list |
| getDBAProfilePage | GET | Get DBA profile page |
addDBAProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/dba/profiles/add
Create new DBA profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema DBAProfileModifyDTO
| Field | Type | Required | Description |
|---|---|---|---|
dbaId | integer | yes | DBA ID should be within the range of 1 to 512 and should not be null |
name | string | no | Name of DBA profile should contain 1 to 32 characters including digits, upper and lower letters, and the following six characters: -@_😕. . |
type | string | no | DBA bandwidth allocation methods.Type should be a value as follows: FIX, ASSURE, MAX, ASSURE_MAX, and FIX_ASSURE_MAX. The default value is FIX. |
fix | integer | no | The value for fixed bandwidth is required when the Type is set to FIX or FIX_ASSURE_MAX. Fix should be within the range of 128 to 720000, with the unit in kbit/s. |
assure | integer | no | The value for guaranteed bandwidth is required when the Type is set to ASSURE, ASSURE_MAX, or FIX_ASSURE_MAX. Assure should be within the range of 128 to 1200000, with the unit in kbit/s. |
max | integer | no | The value for maximum bandwidth is required when the Type is set to MAX, ASSURE_MAX, or FIX_ASSURE_MAX. Max should be within the range of 128 to 1244160, with the unit in kbit/s. |
// omada_call_operation
{
"operationId": "addDBAProfile",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Create new DBA profile
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
deleteDBAProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/dba/profiles/delete
Delete an existing DBA profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema IntIdListRequest
| Field | Type | Required | Description |
|---|---|---|---|
ids | array<integer> | yes | ID list |
// omada_call_operation
{
"operationId": "deleteDBAProfile",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Delete an existing DBA profile
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
editDBAProfile
POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/dba/profiles/edit
Modify an existing DBA profile
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema DBAProfileModifyDTO
| Field | Type | Required | Description |
|---|---|---|---|
dbaId | integer | yes | DBA ID should be within the range of 1 to 512 and should not be null |
name | string | no | Name of DBA profile should contain 1 to 32 characters including digits, upper and lower letters, and the following six characters: -@_😕. . |
type | string | no | DBA bandwidth allocation methods.Type should be a value as follows: FIX, ASSURE, MAX, ASSURE_MAX, and FIX_ASSURE_MAX. The default value is FIX. |
fix | integer | no | The value for fixed bandwidth is required when the Type is set to FIX or FIX_ASSURE_MAX. Fix should be within the range of 128 to 720000, with the unit in kbit/s. |
assure | integer | no | The value for guaranteed bandwidth is required when the Type is set to ASSURE, ASSURE_MAX, or FIX_ASSURE_MAX. Assure should be within the range of 128 to 1200000, with the unit in kbit/s. |
max | integer | no | The value for maximum bandwidth is required when the Type is set to MAX, ASSURE_MAX, or FIX_ASSURE_MAX. Max should be within the range of 128 to 1244160, with the unit in kbit/s. |
// omada_call_operation
{
"operationId": "editDBAProfile",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing DBA profile
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33507 - This profile does not exist.
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getDBAProfileList
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/dba/profiles/list
Get DBA profile list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
queryParam | query | DBAProfileListQueryDTO | no | Object: its fields (searchKey, sorts, searchFields) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getDBAProfileList",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get DBA profile list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
getDBAProfilePage
GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/pon/profile/dba/profiles/page
Get DBA profile page
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
queryParam | query | DBAProfilePageQueryDTO | no | Object: its fields (searchKey, sorts, size, number, searchFields) are sent as separate query parameters. |
// omada_call_operation
{
"operationId": "getDBAProfilePage",
"params": {
"siteId": "<siteId>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get DBA profile page
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.